import junit.framework.TestCase;

public class TestTriangle extends TestCase {

	public void testConstructor() {
		Triangle t=new Triangle(3,5,7);

		assertTrue(t.getA()==3);
		assertTrue(t.getB()==5);
		assertTrue(t.getC()==7);
	}

	public void testIsValid() {
		Triangle t=null;

		t=new Triangle(-5,3,7);
		assertFalse(t.isValid());

		t=new Triangle(3,5,7);
		assertTrue(t.isValid());
	}

	public void testAllPositive() {
		Triangle t=null;

		t=new Triangle(-5,3,7);
		assertFalse(t.allPositive());

		t=new Triangle(5,-3,7);
		assertFalse(t.allPositive());

		t=new Triangle(5,3,-7);
		assertFalse(t.allPositive());

		t=new Triangle(0,3,7);
		assertFalse(t.allPositive());

		t=new Triangle(5,3,7);
		assertTrue(t.allPositive());
	}

	public void testAllSatisfyInequality() {
		Triangle t=null;

		t=new Triangle(10,5,2);
		assertFalse(t.allSatisfyInequality());

		t=new Triangle(5,15,2);
		assertFalse(t.allSatisfyInequality());

		t=new Triangle(3,4,7);
		assertFalse(t.allSatisfyInequality());

		t=new Triangle(5,6,3);
		assertTrue(t.allSatisfyInequality());
	}

	public static void main(String args[]) {
		junit.swingui.TestRunner.run(TestTriangle.class);
	}
}